/*
Theme Name: Total Child
Theme URI: http://totalwptheme.com
Description: Total WordPress theme example child theme.
Author: AJ Clarke.inline
Author URI: http://totalwptheme.com
Template: Total
Version: 2.3
*/

/*hide seating or discount badge*/
.hide {display:none;}
.unhide {display: block !important;}

/*MY CUSTOM ADD TO CART BUTTON*/
.ajax_add_to_cart.added:not(.nohide) {
	pointer-events:none;
}
.nohide .added_to_cart {
	display: none;
}
.nohide.loading {
	display: flex;
	align-items: center;
}

/*WOCOMMERCE - MINI ADD TO CART IN LOOP*/
.smalladd.loading .vcex-button-inner,
.smalladd.added .vcex-button-inner,
.smalladd.loading .added .vcex-button-inner,
.smalladd + .added_to_cart {
	display: none !important; 
}
.smalladd.ajax_add_to_cart.loading:after {
	margin-inline-start: 0px;
}
.smalladd.added::after {
	display: inline-block;
	width: 18px;
	height: 18px;
	content: '';
	background-color: currentColor;
	-webkit-mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'%3E%3Cpath d='M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z'/%3E%3C/svg%3E");
	-webkit-mask-repeat: no-repeat;
	-webkit-mask-size: contain;
	-webkit-mask-position: center;

	mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'%3E%3Cpath d='M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4 24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z'/%3E%3C/svg%3E");
	mask-repeat: no-repeat;
	mask-size: contain;
	mask-position: center;
	background-color: var(--wpex-on-accent);
	position: relative;
	top: 3px;
	left: 1px;
}

/*WOOCOMMERCE - HIDE MESSAGE AFTER ADDING*/
.nohide.loading svg,
.nohide.added svg {
	display: none;
}
.nohide.added,
.nohide.loading {
	pointer-events: none;
	left: 18px;
	position: relative;
}
.nohide.loading:after {
	position: absolute;
	top: 4px;
	left: -28px;
}
.nohide.added::after {
	display: inline-block;
	width: 18px;
	height: 18px;
	content:'';
	background-color: currentColor;

	-webkit-mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'%3E%3Cpath d='M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z'/%3E%3C/svg%3E");
	-webkit-mask-repeat: no-repeat;
	-webkit-mask-size: contain;
	-webkit-mask-position: center;
	mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'%3E%3Cpath d='M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4 24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z'/%3E%3C/svg%3E");
	mask-repeat: no-repeat;
	mask-size: contain;
	mask-position: center;
	background-color: var(--wpex-accent);
	position: absolute;
	top: 4px;
	left: -18px;
}

/*SPINNING*/
@-webkit-keyframes rotating /* Safari and Chrome */ {
	from {
		-webkit-transform: rotate(0deg);
		-o-transform: rotate(0deg);
		transform: rotate(0deg);
	}
	to {
		-webkit-transform: rotate(360deg);
		-o-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}

@keyframes rotating {
	from {
		-ms-transform: rotate(0deg);
		-moz-transform: rotate(0deg);
		-webkit-transform: rotate(0deg);
		-o-transform: rotate(0deg);
		transform: rotate(0deg);
	}
	to {
		-ms-transform: rotate(360deg);
		-moz-transform: rotate(360deg);
		-webkit-transform: rotate(360deg);
		-o-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}

.ticon-spin {
	-webkit-animation: rotating 2s linear infinite;
	-moz-animation: rotating 2s linear infinite;
	-ms-animation: rotating 2s linear infinite;
	-o-animation: rotating 2s linear infinite;
	animation: rotating 2s linear infinite;
}

/*THEME - LOOP - NO POSTS FOUND*/
.vcex-no-posts-found:hover {
	background-color: var(--wpex-accent) !important;
	color: #fff;
}
@media only screen and (max-width: 767px) {
	.vcex-no-posts-found {
		padding: 13px !important;
		background-color: #ebded4 !important;	
		transition: all .2s;
	}
}
@media only screen and (min-width: 768px) {
	.vcex-no-posts-found {
		padding: 30px !important;
		background-color: #fff !important;	
		transition: all .2s;
	}
}

a.remove.remove_from_cart_button:hover,
.vcex-terms-grid-entry-title a {
	transition: .2s all;
}
a.remove.remove_from_cart_button:hover,
.vcex-terms-grid-entry-title a:hover {
	scale: 1.7;
}